spring.application.name=JCS
server.servlet.context-path=/jcs
server.port=11100
spring.profiles.active=dev

spring.jackson.time-zone=GMT+8
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
logging.config=classpath:logback-${spring.profiles.active}.xml

## mybatis-plus配置控制台打印完整带参数SQL语句
mybatis-plus.configuration.log-impl=org.apache.ibatis.logging.stdout.StdOutImpl

mybatis-plus.global-config.db-config.update-strategy=ignored
## redis失效时间
redis.cache.failure.time=10800

## unit(h)
alertcall.es.synchrony.time=48

## DB properties:
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
spring.datasource.type=com.zaxxer.hikari.HikariDataSource
spring.datasource.hikari.minimum-idle=10
spring.datasource.hikari.maximum-pool-size=25
spring.datasource.hikari.auto-commit=true
spring.datasource.hikari.idle-timeout=30000
spring.datasource.hikari.pool-name=DatebookHikariCP
spring.datasource.hikari.max-lifetime=120000
spring.datasource.hikari.connection-timeout=30000
spring.datasource.hikari.connection-test-query=SELECT 1




##liquibase
spring.liquibase.change-log = classpath:/db/changelog/changelog-master.xml
spring.liquibase.enabled= false

## eureka properties:
eureka.client.registry-fetch-interval-seconds=5
eureka.instance.prefer-ip-address=true
management.endpoint.health.show-details=always
management.endpoints.web.exposure.include=*
eureka.instance.health-check-url-path=/actuator/health
eureka.instance.lease-expiration-duration-in-seconds=10
eureka.instance.lease-renewal-interval-in-seconds=5
eureka.instance.metadata-map.management.context-path=${server.servlet.context-path}/actuator
eureka.instance.status-page-url-path=/actuator/info
eureka.instance.metadata-map.management.api-docs=http://localhost:${server.port}${server.servlet.context-path}/doc.html

## redis properties:
spring.redis.lettuce.pool.max-active=200
spring.redis.lettuce.pool.max-wait=-1
spring.redis.lettuce.pool.max-idle=10
spring.redis.lettuce.pool.min-idle=0
spring.redis.expire.time=300
#在重启服务的过程中是否清空缓存的标识符 --2021-09-09
my.spring.redis.cache.isclean=false
## mqtt-警情初报消息主题
mqtt.topic.alert.reporting=alertReporting

## 实战指挥新警情主题
mqtt.topic.command.alert.notice=alertNotice

mqtt.topic.command.alert.noticeData=alertNoticeData

mqtt.topic.command.alert.noticeJa=alertNoticeJa

## 跑马灯地震、天气预警信息
mqtt.topic.command.meteorological.notice=meteorological

mqtt.topic.command.power.deployment=power

mqtt.topic.alert.iot=iot-system-alarm
mqtt.topic.alert.iot.web=iot-system-alarm-web
#警情预案匹配的消息topic名称
mqtt.topic.command.knowledgebase.alert.match=knowledgeAlertMatch
#航空报警器警情通知
mqtt.topic.command.alert.noticeAviation=aviationAlarm

#人员打卡同步数据
mqtt.topic.person.sign=sign/data/syn

#人员打卡同步中心级
mqtt.topic.person.sign.zxj=sign/data/synZxj

# 中心级用户登录发送消息
mqtt.topic.ccs.user.login=ccs-user-login-info

# 站端监听中心级用户登录消息
mqtt.topic.station.user.login=station-user-login-info

security.systemctl.name=AMOS-API-PRIVILEGE

jcs.company.topic.add=jcs/company/topic/add
jcs.company.topic.delete=jcs/company/topic/delete

iot.fegin.name=AMOS-API-IOT

equip.fegin.name=AMOS-EQUIPMANAGE

## 设备联动服务（车库门、广播、警铃）
control.fegin.name=JCS-API-CONTROL

Knowledgebase.fegin.name=AMOS-API-KNOWLEDGEBASE

## 故障报修流程
failure.work.flow.processDefinitionKey=malfunction_repair
#设置文件上传的大小限制
spring.servlet.multipart.maxFileSize=3MB
spring.servlet.multipart.maxRequestSize=3MB

supervision.feign.name=AMOS-SUPERVISION-API
video.fegin.name=VIDEO888
latentDanger.feign.name=AMOS-LATENT-DANGER
#权限配置
#权限标识-机场单位
auth-key-org-user=org_user_info
#消防队伍
auth-key-fire-team=fire_team_info
#消防水源
auth-key-fire-water=fire_water_info
#微型消防站
auth-key-fire-station=fire_station_info
#重点部位
auth-key-key-site=key_site_info
#消防人员
auth-key-fire-fighters=fire_fighters_info
#权限开关： true 启用权限 false 不启用
mybatis.interceptor.enabled = true

## 消防救援保障部ID
fire-rescue=1432549862557130753

management.endpoints.enabled-by-default=false
#阿里云实时语音识别参数
speech-config.access-key-id=LTAI5t62oH95jgbjRiNXPsho
speech-config.access-key-secret=shy9SpogYgcdDoyTB3bvP21VSRmz8n
speech-config.app-key=FC84bGUpbNFrexoL

mqtt.topic.command.car.jw=carCoordinates

management.security.enabled=true
spring.security.user.name=admin
spring.security.user.password=a1234560
#?????????
#system.type=dl

##代码中有部分逻辑冲突需要处理  为区分机场和电力逻辑 增加开关 若为true 则为机场逻辑 为false 则为电力逻辑
logic=false
